# language: fr
Fonctionnalité: tester la connexion de base à l'application

  @fixture.browser.django
  Scénario: obtenir la page de login
    Quand je vais sur la page "creme_login"
    Alors je vois le code de retour "200"
    Et je vois le titre "Creme CRM - Connexion"

  @fixture.browser.django
  Scénario: obtenir une page qui n'existe pas
    Quand je vais sur la page "/yolo"
    Alors je vois le code de retour "404"
    Et je vois le titre "Erreur !"

  @fixture.browser.django
  Scénario: se connecter avec un utilisateur inexistant
    Soit je me connecte en tant que "nawak"
    Alors je vois le code de retour "200"
    Et je vois le titre "Creme CRM - Connexion"
    Et je vois "Saisissez un Nom d'utilisateur et un mot de passe valides" dans les erreurs
