from django.forms import ValidationError

from creme.creme_core.forms import CremeModelForm


class ValidateUniqueCremeModelForm(CremeModelForm):
    def full_clean(self):
        super().full_clean()
        try:
            self.instance.validate_unique()
        except ValidationError as e:
            self._update_errors(e)
