import pytest

from center_pilote.info_tables import models


@pytest.mark.parametrize(
    'modelname',
    [
        'GroupeActivite',
        'TypeAdhesion',
        'AmenagementPaysager',
        'BoisNrjConnexe',
        'Construction',
        'Emballage',
        'Equipement',
        'EssenceArbre',
        'EtatAvancement',
        'FonctionBureau',
        'MarquageCe',
        'MenuiserieRevetement',
        'ModeLivraison',
        'MontageJuridique',
        'NatureAppoint',
        'NumIcpe',
        'QualiteBoisLivre',
        'SecteurIntervention',
        'StatutIcpe',
        'StatutPorteurProjet',
        'TechFiltreFumee',
        'TraitementFinition',
        'TypeBoisLivre',
        'TypeClient',
        'TypeCombustibleBois',
        'TypeInstallation',
        'TypeInfra',
    ],
)
def test_simple_str_name(modelname):
    Model = getattr(models, modelname)
    obj = Model(name='expected_name')
    assert str(obj) == 'expected_name'
