from creme.creme_core.views import generic

from ..forms.adhesion import AdhesionForm
from ..models import Adhesion


class AdhesionCreation(generic.AddingInstanceToEntityPopup):
    model = Adhesion
    form_class = AdhesionForm
    title = 'Nouvelle adhesion pour «{entity}»'


class AdhesionEdition(generic.RelatedToEntityEditionPopup):
    model = Adhesion
    form_class = AdhesionForm
    pk_url_kwarg = 'adhesion_id'
    title = 'Adhesion pour «{entity}»'
