# -*- coding: utf-8 -*-

from creme.creme_core.views import generic

from ..forms.infraboisnrj import InfraBoisNrjForm
from ..models import InfraBoisNrj


class InfraBoisNrjList(generic.EntitiesList):
    model = InfraBoisNrj


class InfraBoisNrjCreation(generic.EntityCreation):
    model = InfraBoisNrj
    form_class = InfraBoisNrjForm


class InfraBoisNrjDetail(generic.EntityDetail):
    model = InfraBoisNrj
    pk_url_kwarg = 'infraboisnrj_id'


class InfraBoisNrjEdition(generic.EntityEdition):
    model = InfraBoisNrj
    form_class = InfraBoisNrjForm
    pk_url_kwarg = 'infraboisnrj_id'
