import pytest

from center_pilote.info_tables.models import Activite, GroupeActivite


@pytest.mark.django_db
def test_activite_str():
    grp_act = GroupeActivite.objects.create(name="groupe_0")
    act = Activite(groupe=grp_act, name="activite_0")
    assert str(act) == "groupe_0/activite_0"
