# -*- coding: utf-8 -*-

from django.urls import include, re_path

from .views import adhesion

urlpatterns = [
    re_path(
        r'^adhesion/',
        include([
            re_path(
                r'^add/(?P<entity_id>\d+)[/]?$',
                adhesion.AdhesionCreation.as_view(),
                name='info_tables__create_adhesion',
            ),
            re_path(
                r'^edit/(?P<adhesion_id>\d+)[/]?$',
                adhesion.AdhesionEdition.as_view(),
                name='info_tables__edit_adhesion',
            ),
        ]),
    ),
]
