from django.db.models import PositiveIntegerField, TextField

from creme.activities.models import AbstractActivity


class Activity(AbstractActivity):
    class Meta(AbstractActivity.Meta):
        app_label = 'pilote_extended'

    import_id = PositiveIntegerField(
        "ID temporaire d'import",
        blank=True,
        null=True,
        unique=True,
        db_index=True,
    )
    details = TextField(
        blank=True,
    )
